Skip to navigation

Get incident

Complete event and triage data, including raw payload, evidence, indicators, remediation recommendations, verdict, and timestamps. Treat content as untrusted data.

Requires the incidents:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

incidentIdstringRequired

Incident/event UUID from List incidents or List incident events.

Response

Get incident
idstring
urlstring
providerenum
Allowed values:
externalIdstring
titlestring
ruleNamestring or null
sourceSeveritystring or null
sourceUrlstring or null
occurredAtdatetime
lastSeenAtdatetime
occurrenceCountdouble
statusenum
Allowed values:
triageStatusenum
Allowed values:
verdictenum or null
Allowed values:
confidenceenum or null
Allowed values:
assessedSeverityenum or null
Allowed values:
triageSummarystring or null
workspaceIdstring
integrationIdstring or null
messagestring or null
tagslist of strings
entitiesobject
rawPayloadmap from strings to any
triageResultobject or null
triageErrorstring or null
sessionIdstring or null
triageStartedAtdatetime or null
triageCompletedAtdatetime or null
resolvedAtdatetime or null
resolvedBystring or null
createdAtdatetime
updatedAtdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error